#!/bin/bash
#
# chkconfig: 2345 99 15
# description: Flash Operator Panel 
# processname: op_server.pl
WITHOUT_RC_COMPAT=1

# source function library
. /etc/rc.d/init.d/functions

DAEMON=/usr/sbin/op_panel
OPTIONS="-d --confdir /etc/asterisk-op_panel/"
LOCKFILE=/var/lock/subsys/op_server.pl
PIDFILE=/var/run/asterisk-op_panel/op_panel.pid

start()
{
	start_daemon --pidfile $PIDFILE --lockfile $LOCKFILE --expect-user _asterisk -- $DAEMON $OPTIONS
	RETVAL=$?
	return $RETVAL
}

stop()
{
	stop_daemon  --displayname op_panel --pidfile $PIDFILE --lockfile $LOCKFILE --expect-user _asterisk /usr/bin/perl
	RETVAL=$?
	return $RETVAL
}

reload()
{
	msg_reloading "Flash Operator Panel"
	stop_daemon  --displayname op_panel --pidfile $PIDFILE --lockfile $LOCKFILE --expect-user _asterisk -HUP /usr/bin/perl
	RETVAL=$?
	return $RETVAL
}

case "$1" in
  start)
		start
		;;
  stop)
		stop
		;;
  restart)
		stop
		start
		;;
  reload)
	  	reload
		;;
  condreload)
  		if [ -e "$LOCKFILE" ]; then
			reload
		fi
		;;
  condrestart)
  		if [ -e "$LOCKFILE" ]; then
			stop
			start
		fi
		;;
  condstop)
  		if [ -e "$LOCKFILE" ]; then
			stop
		fi
		;;
  status)
		status --pidfile "$PIDFILE" --displayname op_server --expect-user _asterisk /usr/bin/perl
		RETBAL=$?
	;;
  *)
	echo "Usage: op_panel {start|stop|status|restart|reload}"
	exit 1
esac

exit $RETVAL

